import * as ng_primitives_state from 'ng-primitives/state';
import * as _angular_core from '@angular/core';
import { InjectionToken, Provider } from '@angular/core';
import { DeepPartial } from 'flowbite-angular';
import * as flowbite_angular_button_group from 'flowbite-angular/button-group';

interface FlowbiteButtonGroupTheme {
    host: FlowbiteButtonGroupHostTheme;
}
interface FlowbiteButtonGroupHostTheme {
    base: string;
    transition: string;
}
declare const flowbiteButtonGroupTheme: FlowbiteButtonGroupTheme;

interface FlowbiteButtonGroupConfig {
    /**
     * The default theme of button-group
     */
    baseTheme: FlowbiteButtonGroupTheme;
    /**
     * The custom theme of button-group
     */
    customTheme: DeepPartial<FlowbiteButtonGroupTheme>;
}
declare const defaultFlowbiteButtonGroupConfig: FlowbiteButtonGroupConfig;
declare const FlowbiteButtonGroupConfigToken: InjectionToken<FlowbiteButtonGroupConfig>;
/**
 * Provide the default ButtonGroup configuration
 * @param config The ButtonGroup configuration
 * @returns The provider
 */
declare const provideFlowbiteButtonGroupConfig: (config: Partial<FlowbiteButtonGroupConfig>) => Provider[];
/**
 * Inject the ButtonGroup configuration
 * @see {@link defaultFlowbiteButtonGroupConfig}
 * @returns The configuration
 */
declare const injectFlowbiteButtonGroupConfig: () => FlowbiteButtonGroupConfig;

declare class ButtonGroup {
    readonly config: FlowbiteButtonGroupConfig;
    /**
     * @see {@link injectFlowbiteButtonGroupConfig}
     */
    readonly customTheme: _angular_core.InputSignal<{
        host?: {
            base?: string | undefined;
            transition?: string | undefined;
        } | undefined;
    }>;
    readonly theme: _angular_core.Signal<{
        host: {
            root: string;
        };
    }>;
    /**
     * @internal
     */
    readonly state: ng_primitives_state.CreatedState<ButtonGroup>;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<ButtonGroup, never>;
    static ɵdir: _angular_core.ɵɵDirectiveDeclaration<ButtonGroup, "    div[flowbiteButtonGroup]  ", ["flowbiteButtonGroup"], { "customTheme": { "alias": "customTheme"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare const FlowbiteButtonGroupStateToken: _angular_core.InjectionToken<ButtonGroup>;
declare const provideFlowbiteButtonGroupState: (options?: ng_primitives_state.CreateStateProviderOptions) => _angular_core.FactoryProvider;
declare const injectFlowbiteButtonGroupState: <U = {
    readonly config: flowbite_angular_button_group.FlowbiteButtonGroupConfig;
    readonly customTheme: _angular_core.InputSignal<{
        host?: {
            base?: string | undefined;
            transition?: string | undefined;
        } | undefined;
    }>;
    readonly theme: _angular_core.Signal<{
        host: {
            root: string;
        };
    }>;
    readonly state: ng_primitives_state.CreatedState<ButtonGroup>;
}>(injectOptions?: _angular_core.InjectOptions) => _angular_core.Signal<ng_primitives_state.State<U>>;
declare const flowbiteButtonGroupState: <U>(state: U) => ng_primitives_state.CreatedState<U>;

export { ButtonGroup, FlowbiteButtonGroupConfigToken, FlowbiteButtonGroupStateToken, defaultFlowbiteButtonGroupConfig, flowbiteButtonGroupState, flowbiteButtonGroupTheme, injectFlowbiteButtonGroupConfig, injectFlowbiteButtonGroupState, provideFlowbiteButtonGroupConfig, provideFlowbiteButtonGroupState };
export type { FlowbiteButtonGroupConfig, FlowbiteButtonGroupHostTheme, FlowbiteButtonGroupTheme };
