import * as ng_primitives_state from 'ng-primitives/state';
import * as _angular_core from '@angular/core';
import { InjectionToken, Provider } from '@angular/core';
import { DeepPartial } from 'flowbite-angular';
import * as _angular_cdk_clipboard from '@angular/cdk/clipboard';
import { Clipboard as Clipboard$1 } from '@angular/cdk/clipboard';
import * as flowbite_angular_clipboard from 'flowbite-angular/clipboard';

interface FlowbiteClipboardTheme {
    host: FlowbiteClipboardHostTheme;
}
interface FlowbiteClipboardHostTheme {
    base: string;
    transition: string;
}
declare const flowbiteClipboardTheme: FlowbiteClipboardTheme;

interface FlowbiteClipboardConfig {
    /**
     * The default theme of clipboard
     */
    baseTheme: FlowbiteClipboardTheme;
    /**
     * The custom theme of clipboard
     */
    customTheme: DeepPartial<FlowbiteClipboardTheme>;
}
declare const defaultFlowbiteClipboardConfig: FlowbiteClipboardConfig;
declare const FlowbiteClipboardConfigToken: InjectionToken<FlowbiteClipboardConfig>;
/**
 * Provide the default Clipboard configuration
 * @param config The Clipboard configuration
 * @returns The provider
 */
declare const provideFlowbiteClipboardConfig: (config: Partial<FlowbiteClipboardConfig>) => Provider[];
/**
 * Inject the Clipboard configuration
 * @see {@link defaultFlowbiteClipboardConfig}
 * @returns The configuration
 */
declare const injectFlowbiteClipboardConfig: () => FlowbiteClipboardConfig;

declare class Clipboard {
    readonly config: FlowbiteClipboardConfig;
    readonly clipboard: Clipboard$1;
    readonly id: _angular_core.InputSignal<string | undefined>;
    readonly value: _angular_core.InputSignal<string | undefined>;
    /**
     * @see {@link injectFlowbiteClipboardConfig}
     */
    readonly customTheme: _angular_core.InputSignal<{
        host?: {
            base?: string | undefined;
            transition?: string | undefined;
        } | undefined;
    }>;
    readonly theme: _angular_core.Signal<{
        host: {
            root: string;
        };
    }>;
    /**
     * @internal
     */
    readonly state: ng_primitives_state.CreatedState<Clipboard>;
    /**
     * @internal
     */
    onClick(): void;
    /**
     * @internal
     */
    copyToClipboard(): void;
    static ɵfac: _angular_core.ɵɵFactoryDeclaration<Clipboard, never>;
    static ɵcmp: _angular_core.ɵɵComponentDeclaration<Clipboard, "    div[flowbiteClipboard]  ", ["flowbiteClipboard"], { "id": { "alias": "id"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": false; "isSignal": true; }; "customTheme": { "alias": "customTheme"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}

declare const FlowbiteClipboardStateToken: _angular_core.InjectionToken<Clipboard>;
declare const provideFlowbiteClipboardState: (options?: ng_primitives_state.CreateStateProviderOptions) => _angular_core.FactoryProvider;
declare const injectFlowbiteClipboardState: <U = {
    readonly config: flowbite_angular_clipboard.FlowbiteClipboardConfig;
    readonly clipboard: _angular_cdk_clipboard.Clipboard;
    readonly id: _angular_core.InputSignal<string | undefined>;
    readonly value: _angular_core.InputSignal<string | undefined>;
    readonly customTheme: _angular_core.InputSignal<{
        host?: {
            base?: string | undefined;
            transition?: string | undefined;
        } | undefined;
    }>;
    readonly theme: _angular_core.Signal<{
        host: {
            root: string;
        };
    }>;
    readonly state: ng_primitives_state.CreatedState<Clipboard>;
    onClick: () => void;
    copyToClipboard: () => void;
}>(injectOptions?: _angular_core.InjectOptions) => _angular_core.Signal<ng_primitives_state.State<U>>;
declare const flowbiteClipboardState: <U>(state: U) => ng_primitives_state.CreatedState<U>;

export { Clipboard, FlowbiteClipboardConfigToken, FlowbiteClipboardStateToken, defaultFlowbiteClipboardConfig, flowbiteClipboardState, flowbiteClipboardTheme, injectFlowbiteClipboardConfig, injectFlowbiteClipboardState, provideFlowbiteClipboardConfig, provideFlowbiteClipboardState };
export type { FlowbiteClipboardConfig, FlowbiteClipboardHostTheme, FlowbiteClipboardTheme };
